-- Napraviti bazu sa nazivom "prodavnica",
-- odabrati napravljenu bazu i klikom na "import" otvoriti prozor za uvoz nove baze,
-- odabrati datoteku za bazom, "baza.sql" i kliknuti na "Go"





-- phpMyAdmin SQL Dump
-- version 4.6.4
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jun 10, 2017 at 02:37 PM
-- Server version: 5.7.14
-- PHP Version: 5.6.25

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `prodavnica`
--

-- --------------------------------------------------------

--
-- Table structure for table `objekat`
--

CREATE TABLE `objekat` (
  `id` int(11) NOT NULL,
  `naziv` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `lokacija` varchar(100) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `objekat`
--

INSERT INTO `objekat` (`id`, `naziv`, `lokacija`) VALUES
(1, 'Prodavnica Beograd', 'Beograd'),
(2, 'Prodavnica Novi Sad', 'Novi Sad'),
(3, 'Prodavnica Kragujevac', 'Kragujevac'),
(4, 'Prodavnica Kladovo', 'Kladovo');

-- --------------------------------------------------------

--
-- Table structure for table `proizvod`
--

CREATE TABLE `proizvod` (
  `id` int(11) NOT NULL,
  `naziv` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `opis` varchar(1000) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'Nema opisa',
  `cena` int(11) NOT NULL,
  `id_proizvodjaca` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `proizvod`
--

INSERT INTO `proizvod` (`id`, `naziv`, `opis`, `cena`, `id_proizvodjaca`) VALUES
(1, 'Proizvod 1', 'Ovo je proizvod 1', 100, 1),
(2, 'Proizvod 2', 'Ovo je proizvod 2', 150, 2),
(3, 'Proizvod 3', 'Ovo je proizvod 3', 200, 1),
(4, 'Proizvod 4', 'Ovo je proizvod 4', 175, 3);

-- --------------------------------------------------------

--
-- Table structure for table `proizvodjac`
--

CREATE TABLE `proizvodjac` (
  `id` int(11) NOT NULL,
  `naziv` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lokacija` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `telefon` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `proizvodjac`
--

INSERT INTO `proizvodjac` (`id`, `naziv`, `lokacija`, `telefon`) VALUES
(1, 'Proizvodjac 1', 'Beograd', '0123456789'),
(2, 'Proizvodjac 2', 'Novi Sad', '9876543210'),
(3, 'Proizvodjac 3', 'Kragujevac', '+381123456');

-- --------------------------------------------------------

--
-- Table structure for table `proizvod_objekat`
--

CREATE TABLE `proizvod_objekat` (
  `id` int(11) NOT NULL,
  `id_proizvoda` int(11) NOT NULL,
  `id_objekta` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Dumping data for table `proizvod_objekat`
--

INSERT INTO `proizvod_objekat` (`id`, `id_proizvoda`, `id_objekta`) VALUES
(1, 1, 2),
(2, 2, 2),
(3, 3, 1),
(4, 4, 4),
(5, 4, 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `objekat`
--
ALTER TABLE `objekat`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `proizvod`
--
ALTER TABLE `proizvod`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `proizvodjac`
--
ALTER TABLE `proizvodjac`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `proizvod_objekat`
--
ALTER TABLE `proizvod_objekat`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `objekat`
--
ALTER TABLE `objekat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
--
-- AUTO_INCREMENT for table `proizvod`
--
ALTER TABLE `proizvod`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT for table `proizvodjac`
--
ALTER TABLE `proizvodjac`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;
--
-- AUTO_INCREMENT for table `proizvod_objekat`
--
ALTER TABLE `proizvod_objekat`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
